mxInsertHandler (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.handler
Class mxInsertHandler

    java.lang.Object
      com.mxgraph.swing.util.mxMouseAdapter
          com.mxgraph.swing.handler.mxInsertHandler

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener

    public class mxInsertHandler

extends mxMouseAdapter

Field Summary
`protected mxRectangle` | `current`
`protected boolean` | `enabled` Specifies if this handler is enabled.
`protected mxEventSource` | `eventSource`
`protected Point` | `first`
`protected mxGraphComponent` | `graphComponent` Reference to the enclosing graph component.
`protected Color` | `lineColor`
`protected float` | `lineWidth`
`protected boolean` | `rounded`
`protected String` | `style`

Constructor Summary
`mxInsertHandler(mxGraphComponent graphComponent, String style)`

Method Summary
`void` | `addListener(String eventName, mxEventSource.mxIEventListener listener)`
`mxGraphComponent` | `getGraphComponent()`
`Object` | `insertCell(mxRectangle bounds)`
`boolean` | `isEnabled()`
`boolean` | `isStartEvent(MouseEvent e)`
`void` | `mouseDragged(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`
`void` | `paint(Graphics g)`
`void` | `removeListener(mxEventSource.mxIEventListener listener)`
`void` | `removeListener(mxEventSource.mxIEventListener listener, String eventName)`
`void` | `reset()`
`void` | `setEnabled(boolean value)`
`void` | `start(MouseEvent e)`

Methods inherited from class com.mxgraph.swing.util.mxMouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphComponent

    protected mxGraphComponent graphComponent

  Reference to the enclosing graph component.

### enabled

    protected boolean enabled

  Specifies if this handler is enabled. Default is true.

### style

    protected String style

### first

    protected Point first

### lineWidth

    protected float lineWidth

### lineColor

    protected Color lineColor

### rounded

    protected boolean rounded

### current

    protected mxRectangle current

### eventSource

    protected mxEventSource eventSource

Constructor Detail

### mxInsertHandler

    public mxInsertHandler(mxGraphComponent graphComponent,
                           String style)

Method Detail

### getGraphComponent

    public mxGraphComponent getGraphComponent()

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean value)

### isStartEvent

    public boolean isStartEvent(MouseEvent e)

### start

    public void start(MouseEvent e)

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `mxMouseAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `mxMouseAdapter`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `mxMouseAdapter`

### insertCell

    public Object insertCell(mxRectangle bounds)

### reset

    public void reset()

### paint

    public void paint(Graphics g)

### addListener

    public void addListener(String eventName,
                            mxEventSource.mxIEventListener listener)

### removeListener

    public void removeListener(mxEventSource.mxIEventListener listener)

### removeListener

    public void removeListener(mxEventSource.mxIEventListener listener,
                               String eventName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.